# Class TrieNode

data-structure-typed

#### Author

Tyler Zeng

#### Copyright

Copyright (c) 2022 Tyler Zeng zrwusa@gmail.com

#### License

MIT License

#### Hierarchy

- TrieNode

- Defined in src/data-structures/trie/trie.ts:8

#####
Index

### Constructors

constructor

### Properties

_children
_isEnd
_val

### Accessors

children
isEnd
val

## Constructors

### constructor

- new TrieNode(v): TrieNode

- #### Parameters

  - ##### v: string

  #### Returns TrieNode

  - Defined in src/data-structures/trie/trie.ts:9

## Properties

### `Protected` _children

_children: Map<string, TrieNode>

- Defined in src/data-structures/trie/trie.ts:25

### `Protected` _isEnd

_isEnd: boolean

- Defined in src/data-structures/trie/trie.ts:35

### `Private` _val

_val: string

- Defined in src/data-structures/trie/trie.ts:15

## Accessors

### children

- get children(): Map<string, TrieNode>

- #### Returns Map<string, TrieNode>

  - Defined in src/data-structures/trie/trie.ts:27
- set children(v): void

- #### Parameters

  - ##### v: Map<string, TrieNode>

  #### Returns void

  - Defined in src/data-structures/trie/trie.ts:31

### isEnd

- get isEnd(): boolean

- #### Returns boolean

  - Defined in src/data-structures/trie/trie.ts:37
- set isEnd(v): void

- #### Parameters

  - ##### v: boolean

  #### Returns void

  - Defined in src/data-structures/trie/trie.ts:41

### val

- get val(): string

- #### Returns string

  - Defined in src/data-structures/trie/trie.ts:17
- set val(v): void

- #### Parameters

  - ##### v: string

  #### Returns void

  - Defined in src/data-structures/trie/trie.ts:21

Generated using TypeDoc